"""
Project:    Shuffle & Skirmish Market Scraper
Author:     Edward Middleton-Smith
            Shuffle & Skirmish

Technology: Business Objects
Feature:    New Realities Gaming Product Scraper Class
"""

# Internal
from product_scraper import Product_Scraper
# External

""" This website is probably not legit 
class New_Realities_Gaming_Product_Scraper(Product_Scraper):
    NAME_DOMAIN_NEW_REALITIES_GAMING: str = 'New Realities Gaming'

    def __init__(self):
        super().__init__(domain = self.NAME_DOMAIN_NEW_REALITIES_GAMING)

    @classmethod
    def parse_cost(cls, cost_text):
        return super().parse_cost(cost_text = cost_text)
        
    async def scrape_cost_and_active_playwright(self, browser, url):
        button_selector = 'div.display-desktop.add-to-cart-button__wrapper div.w-wrapper form button'
        page_load_element_selector = button_selector
        cost_selector = f'{button_selector} span:nth-child(2)'
        active_selector = f'{button_selector} span:nth-child(1)'
        cost_text, active = await super().scrape_cost_and_active_playwright(
              browser = browser
            , url = url
            , page_load_element_selector = page_load_element_selector
            , cost_selector = cost_selector
            , active_selector = active_selector
            , invalid_active_statuses = ['Out of stock']
        )
        cost = self.parse_cost(cost_text = cost_text)
        return cost, active
"""